import { SocialNetworksController } from "../../controllers/social-network/social-network.controller";
import { SocialNetworksValidator } from "../../validators/social-network/social-network.validator";
import { AbstractRoute } from "../abstract.route";

const express = require("express");
const router = express.Router();
const controller = new SocialNetworksController();

class SocialNetworksRoute extends AbstractRoute {
  constructor(_controller, _router) {
    super(_controller, _router, new SocialNetworksValidator(), []);
  }
}

export const socialNetworksRouter = new SocialNetworksRoute(
  controller,
  router
).init();
